/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * Data transfer object (DTO) for deleting a specific version of metadata.
 * @export
 * @interface MetadataTreeForDeletionDto
 */
export interface MetadataTreeForDeletionDto {
    /**
     * Gets or initializes the path of the metadata tree.
     * @type {string}
     * @memberof MetadataTreeForDeletionDto
     */
    'path': string;
    /**
     * Gets or initializes the version of the metadata tree to be deleted.
     * @type {number}
     * @memberof MetadataTreeForDeletionDto
     */
    'version': number;
    /**
     * Gets or initializes the invalidation entity.
     * @type {string}
     * @memberof MetadataTreeForDeletionDto
     */
    'invalidatedBy': string;
}

